@mixin vital {
  margin: $small-spacing 0px;
  background-position: center;
  background-repeat: no-repeat;
  background-size: contain;
  text-align: center;
  line-height: 70px;
  font-size: 35px;
  display: flex;
  justify-content: center;
  min-width: 100px;
  input {
    width: 35px;
    text-align: end;
    padding: 0;
    background: none;
    border: none;
    border-radius: 0;
    height: 70px;
  }
}

.sr-only {
  position: absolute;
  width: 1px;
  height: 1px;
  padding: 0;
  margin: -1px;
  overflow: hidden;
  clip: rect(0, 0, 0, 0);
  border: 0;
}

.swade-official {
  //Custom properties
  --content-background-image: url('assets/paperboard-texture.webp');
  --content-shadow: inset 0 0 2rem 1rem rgba(0, 0, 0, 0.2);

  --section-header-color: #{$header-text};
  --section-header-size: #{$section-header};
  --section-header-font: 'Anton', 'Signika', sans-serif;

  --default-font: 'Roboto Slab', 'Signika', serif;
  --default-font-size: 1em;

  --input-background: #{$input-bg-light};
  --input-box-shadow: 0 0 5px red;
  --input-text-shadow: 0 0 10px red;

  --add-button-color: #{$input-bg-dark};

  //default font of the sheet
  font-family: var(--default-font);
  font-weight: normal;
  font-size: var(--default-font-size);

  //sheet background
  .window-content {
    //sheet background
    background: var(--content-background-image) left top repeat;
    box-shadow: var(--content-shadow);

    .main-grid {
      height: 100%;
      display: grid;
      grid-template-rows: 3em 2em 2em max-content minmax(0, 1fr);
      grid-template-columns: repeat(12, minmax(0, 1fr));
      gap: 0.5em;
    }
  }

  .grid-under,
  .grid-cover {
    margin: 0;
    display: none;
    pointer-events: none;
  }

  .charname-container {
    grid-row: 1;
    grid-column: 3 / 9;
    display: flex;
    align-items: center;
    input[type] {
      background: transparent;
    }
  }

  .char-img-container {
    grid-row: 1/4;
    grid-column: 1/3;
    padding-left: 0.5em;
    img {
      width: 100%;
      height: 100%;
      object-fit: contain;
      border: 0;
      transition: 150ms filter linear;
      cursor: pointer;
      filter: drop-shadow(0.2em 0.4em 0.3em rgba(0, 0, 0, 0.5));
      &:hover,
      &:focus {
        filter: drop-shadow(0.2em 0.4em 0.3em rgba(0, 0, 0, 0.8));
      }
    }
  }

  .branding {
    grid-row: 1;
    grid-column: 10/13;
    background-image: url('assets/peg_swade_logo.webp');
    background-size: contain;
    background-repeat: no-repeat;
    flex-direction: column;
    margin: 0.5em 0em;
    align-items: center;
    height: 100%;
    width: 100%;
    display: flex;
    justify-content: flex-end;
  }

  .conviction-enabled {
    .charname-container {
      grid-column: 3 / 10;
    }
    .branding {
      grid-row: 1/4;
      grid-column: 10/13;
      background-image: url('assets/peg_swade_logo.webp');
      background-size: contain;
      background-repeat: no-repeat;
      background-position: top;
    }
    #conviction {
      display: flex;
      flex-direction: column;
      align-items: center;
      grid-row: 2/4;
      grid-column: 10/13;
      font-family: var(--section-header-font);
      color: var(--heading-color-dark);
      margin-top: 0.5em;
      margin-left: 0.5em;
    }
  }

  .character-detail {
    display: flex;
    align-items: center;
    border: none;
    background: none;
    border-radius: 0;
    margin: 0;
    border-bottom: $solid-line;
    button {
      white-space: nowrap;
      overflow-x: clip;
      text-overflow: ellipsis;
      width: 100% !important;
      text-align: start;
    }
    input[type] {
      background: transparent;
    }
  }

  .ancestry {
    grid-row: 3;
    grid-column: 3/6;
  }

  .archetype {
    grid-row: 2;
    grid-column: 3/6;
  }

  .rank {
    grid-row: 2;
    grid-column: 6/9;
  }

  .advances {
    grid-row: 3;
    grid-column: 6/9;

    input {
      text-align: center;
      flex: 50%;
    }
  }

  .tabs {
    grid-row: 4;
    grid-column: 1 / -1;
    margin-top: 6px;
    flex-wrap: wrap;

    .item {
      flex: 1;
      padding: $small-spacing 1ch;
      font-family: 'Anton', 'Signika', sans-serif;
      text-align: center;
      font-size: 1.5em;
      color: black;
      border-radius: 8px 8px 0 0;
      box-shadow:
        0px -4px 6px -3px #0000009e,
        0px -4px 6px -3px #0000002b inset;
      white-space: nowrap;
    }
    .active {
      color: $header-text;
      text-shadow: none;
      box-shadow: 0px -6px 6px -1px #0000006b;
    }
  }

  .sub-tabs {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: space-around;
    border-top: 1px solid var(--color-border-light-primary);
    border-bottom: 1px solid var(--color-border-light-primary);
    padding: $medium-spacing 0px;
    margin: $medium-spacing 0px;
    .item {
      flex-grow: 1;
      text-align: center;
      font-size: $medium-font;
      &:hover {
        text-shadow: 0 0 20px var(--color-shadow-primary);
      }
      &.active {
        text-shadow: 0 0 10px var(--color-shadow-primary);
      }
    }
    .item + .item {
      border-left: 1px solid var(--color-border-light-primary);
    }
  }

  .sheet-body {
    grid-row: 5 / -1;
    grid-column: 1 / -1;
    margin: -7px;
  }

  .tab {
    display: none;
    overflow-x: hidden;
    overflow-y: auto;
    height: 100%;
    width: 100%;
    padding: 7px;
    scrollbar-gutter: stable;
    .active {
      display: block;
    }
  }

  //some default styling for input fields
  input[type='text'],
  input[type='number'] {
    border: none;
    background: var(--input-background);
    &:hover,
    :focus {
      box-shadow: var(--input-box-shadow);
    }
    &:disabled {
      &:hover {
        box-shadow: none;
      }
    }
  }

  button:not(section.secret > button.reveal) {
    border: none;
    background-color: transparent;
    border-radius: 0;
    line-height: 16px;
    font-family: var(--default-font);
    width: auto;
    padding: $small-spacing;
    margin: $small-spacing;
    background-position: center;
    background-size: contain;
    background-repeat: no-repeat;
    cursor: pointer;
    &:disabled {
      cursor: default;
    }
    i {
      margin: 0;
    }
    &:hover:not(:disabled),
    &:focus:not(:disabled) {
      text-shadow: var(--input-text-shadow);
    }
    &.rollable {
      border-bottom: 1px dashed black;
    }
  }

  .editor {
    .editor-menu button span {
      text-shadow: none;

      &:hover {
        text-shadow: var(--input-text-shadow);
      }
    }
  }

  .section-header {
    font-family: var(--section-header-font);
    text-align: center;
    font-size: var(--section-header-size);
    color: var(--section-header-color);
    display: grid;
    grid-template-columns: auto 1fr auto;
    .name {
      text-align: center;
      z-index: 0;
      grid-column: 1 / -1;
      grid-row: 1;
    }
    .controls {
      z-index: 1;
      grid-column: 3;
      grid-row: 1;
      font-family: var(--default-font);
    }
  }

  .item-unequipped {
    color: rgba(0, 0, 0, 0.2);
  }

  .item-create,
  .add-effect {
    color: var(--add-button-color);
    &:hover,
    :focus {
      color: $dark-grey;
    }
  }

  //sheet header
  .sheet-header-official {
    input[type='text'],
    input[type='number'] {
      background: transparent;
      flex-basis: 100px;
    }
  }

  .charname {
    margin: $small-spacing;
    font-size: 30px;
    height: 48px;
    border: none;
    background: none;
    width: 100%;
    margin: 0;
  }
  .char-details {
    justify-content: space-around;
  }

  //conviction
  #conviction {
    --color-initial: rgba(50, 13, 0, 1);
    --color-high: rgba(142, 45, 41, 0.7);
    --color-low: rgba(50, 13, 0, 0);

    text-align: center;
    flex: 0;
    .conviction-toggle {
      font-family: var(--section-header-font);
      cursor: pointer;
    }
    .conviction-counter {
      &input[type] {
        background-color: #aca592;
        font-size: 1.5em;
      }
      &:active,
      &:hover,
      &:focus {
        box-shadow: none;
        border-bottom: dashed 1px var(--heading-color-dark);
      }
    }
    input {
      width: 100%;
      max-width: 50px;
    }
    .pulse {
      box-shadow: 0 0 0 0 var(--color-initial);
      transform: scale(1);
      border-radius: 5px;
      animation: pulse 2s infinite;
      white-space: nowrap;
    }

    @keyframes pulse {
      0% {
        transform: scale(0.95);
        background: var(--color-high);
        box-shadow: 0 0 0 0 var(--color-high);
      }

      70% {
        transform: scale(1);
        background: var(--color-low);
        box-shadow: 0 0 0 8px var(--color-low);
      }

      100% {
        transform: scale(0.95);
        background: var(--color-low);
        box-shadow: 0 0 0 0 var(--color-low);
      }
    }
  }

  .additional-stats,
  .currency {
    select {
      background-color: transparent;
      border: none;
      border-bottom: $solid-line;
      border-radius: 0;
      option {
        color: black;
      }
    }
    button {
      text-align: left;
      text-decoration: underline;
      text-decoration-style: dashed;
      width: 80%;
    }
    input {
      text-align: center;
    }
  }

  //#######################
  // Summary Tab
  //#######################

  .summary {
    grid-template-rows: max-content max-content minmax(0, 1fr);
    grid-template-columns: repeat(10, 1fr);
    gap: 0.5em;

    &.active {
      display: grid;
    }

    .fatigue-wrapper,
    .wounds-wrapper {
      grid-row: 1;
      grid-column: span 2;

      display: flex;
      flex-direction: column;
      flex-wrap: nowrap;
      justify-content: flex-start;
    }

    .counter-header {
      display: flex;
      flex-direction: row;
      flex-wrap: nowrap;
      justify-content: space-around;
      line-height: 24px;
      font-weight: 700;
      .label {
        white-space: nowrap;
      }
    }

    .status {
      grid-row: 1;
      grid-column: span 2;
      font-weight: bold;
      display: grid;
      .check-container {
        overflow-x: hidden;
        text-overflow: ellipsis;
      }
    }
    .bennies {
      grid-row: 1;
      grid-column: span 2;
    }

    .attributes {
      grid-row: 2;
      grid-column: span 5;

      display: flex;
      flex-direction: column;
    }

    .skills,
    .quickaccess {
      grid-row: 3;
      grid-column: span 5;
    }
  }

  .label {
    text-align: center;
  }
  .wounds {
    background-image: url('./assets/circle_wounds.webp');
    @include vital;
    .values {
      padding-right: 10px;
    }
  }
  .fatigue {
    background-image: url('./assets/circle_fatigue.webp');
    @include vital;
    .values {
      padding-right: 20px;
    }
  }
  .bennies {
    display: grid;
    grid-template-columns: repeat(12, 10px);
    min-height: 70px;
    .counter-header {
      grid-row: 1;
      grid-column: 1 / -1;
    }
  }
  .benny {
    width: 70px;
    height: 70px;
    grid-row: 2;
    background-size: contain;
    &:hover {
      filter: grayscale(100%);
    }
  }

  .attributes,
  .gear {
    justify-content: center;
  }

  .additional-stats {
    padding-left: $large-spacing;
    max-width: 95%;
    select {
      max-width: 270px;
    }
  }

  .armor-display {
    background-image: url('./assets/sheet_armor.svg');
    background-position: center;
    background-size: contain;
    background-repeat: no-repeat;
  }

  .parry-display {
    background-image: url('./assets/sheet_armor.svg');
    background-position: center;
    background-size: contain;
    background-repeat: no-repeat;
  }

  .primary {
    text-align: center;
    margin-bottom: $medium-spacing;

    .attribute-list {
      display: flex;
      flex-direction: row;
      flex-wrap: wrap;
      justify-content: space-evenly;
      column-gap: $medium-spacing;
    }

    .attribute-manager {
      grid-column: 1;
      grid-row: 1;
      z-index: 1;
      width: 100%;
    }
    .attribute-label {
      font-weight: 700;
      white-space: nowrap;
    }
    .attribute-value {
      display: flex;
      flex-direction: row;
      flex-wrap: nowrap;
      justify-content: center;
      align-items: center;
      column-gap: $medium-spacing;
    }
    .attribute {
      margin-bottom: $medium-spacing;
      display: flex;
      flex-direction: column;
      .die {
        border: none;
        height: 28px;
      }
      .modifier {
      }
    }
  }

  .derived {
    text-align: center;
    margin-bottom: $medium-spacing;
    justify-content: start;
    .derived-list {
      column-gap: $small-spacing;
    }
    .stat {
      margin-bottom: $medium-spacing;
    }
    .stat-label {
      font-weight: 700;
    }
    .stat-value {
      margin-top: $medium-spacing;
      flex-wrap: nowrap;
    }
    input {
      margin: 0;
      width: 100%;
      height: 28px;
    }
    .running-die {
      max-height: 28px;
      margin: 0 $small-spacing;
      padding: 0 $small-spacing;
      background-position: center;
      background-repeat: no-repeat;
      background-size: contain;
    }
  }

  .primary + .derived {
    margin-left: $large-spacing;
  }

  .note-box {
    .section-header {
      width: 90%;
      margin: auto;
    }

    display: grid;
    gap: 0;
    grid-template-rows: minmax(2.2em, auto) 1fr 3em;
    margin-top: -10px;

    .note-header {
      grid-row: 1;
      grid-column: 1;
      background-image: url('./assets/skills_header.webp');
      background-position: center bottom;
      background-repeat: no-repeat;
      background-size: 100% 100%;
      max-width: 100%;
    }
    .note-main {
      grid-row: 2;
      grid-column: 1;
      background-image: url('./assets/skills_bg.webp');
      background-position: center;
      background-repeat: repeat-y;
      background-size: contain;
    }
    .note-footer {
      grid-row: 3;
      grid-column: 1;
      background-image: url('./assets/skills_footer.webp');
      background-position: center top;
      background-repeat: no-repeat;
      background-size: 100% 100%;
    }
  }

  .skills {
    .skill-list {
      margin: 0;
      list-style: none;
      padding-left: $large-spacing;
      width: 95%;
      font-size: $medium-font;
    }
    .skill-name {
      font-size: var(--font-size-14);
      text-align: left;
      padding-left: 5px;
      flex: 3;
    }
    .skill-die {
      display: flex;
      flex-wrap: nowrap;
      flex-direction: row;
      line-height: 24px;
      justify-content: space-around;
      align-items: center;
      .skill-die-icon {
        margin: 0;
        padding: 0;
        border: none;
        max-height: 24px;
      }
    }
    li {
      border-bottom: $solid-line;
      &.item.skill {
        padding-bottom: 2px;
        margin-bottom: 2px;
        .skill-icon {
          max-height: 24px;
          flex-grow: 0;
          object-fit: contain;
          margin-top: 0.3em;
          margin-right: 0.1em;
          border: none;
        }
        .card-header.flexrow {
          align-items: center;
        }
        .item-controls {
          display: flex;
          justify-content: flex-end;
        }
      }
    }
  }

  .quickaccess {
    ol,
    ul {
      list-style: none;
      padding: 0;
      margin: 0;
      padding-left: $large-spacing;
      width: 95%;
    }
  }

  .gear-card {
    border-bottom: $solid-line;
    padding-bottom: $small-spacing;
    margin-bottom: $small-spacing;

    .item-name {
      font-size: var(--font-size-14);
      text-align: left;
      padding-left: $medium-spacing;
    }
    .chips {
      &:not(:has(.chip)) {
        display: none;
      }
      border-bottom: 1px solid var(--add-button-color);
      padding: 0.25rem;
      row-gap: 0.25rem;
      column-gap: 0.5rem;
      display: flex;
      flex-wrap: wrap;
    }

    &.disabled-effect {
      .item-name {
        text-decoration: line-through;
        text-decoration-thickness: $small-spacing;
      }
    }
    .card-header {
      justify-content: space-between;
      align-items: center;
    }
    .item-image {
      background-repeat: no-repeat;
      background-position: center;
      background-size: contain;
      justify-self: flex-start;
      height: 24px;
      flex-grow: 0;
      flex-basis: 24px;
    }
    .item-controls {
      line-height: 24px;
      display: flex;
      justify-content: flex-end;
    }
    .card-content {
      font-size: var(--font-size-14);
      line-height: 16px;
      padding: 5px;
      overflow: hidden;
      display: flex;
      flex-direction: column;
      justify-content: space-evenly;
    }
  }

  //#######################
  // Inventory Tab
  //#######################

  .currency {
    justify-self: flex-end;
    max-width: 33%;
  }

  .encumbrance {
    justify-self: flex-start;
    line-height: var(--form-field-height);
    .value {
      font-weight: 700;
    }
  }

  .inventory {
    #context-menu {
      .context-item {
        text-align: left;
      }
    }

    ul {
      list-style: none;
      padding: 0;
      margin: 0;
    }

    li.item {
      padding: 0 $small-spacing;
      &:nth-child(even) {
        background: rgba(0, 0, 0, 0.1);
      }
    }

    .item-wrapper {
      display: grid;
      column-gap: $small-spacing;
      align-items: center;
      line-height: 30px;
      font-size: var(--font-size-14);
    }

    .item-name {
      text-align: left;
      overflow: hidden;
      white-space: nowrap;
      text-overflow: ellipsis;
    }

    .item-img {
      height: 28px;
      width: 28px;
      border: none;
      background-size: cover;
      background-position: center;
      &:hover,
      &:focus {
        &::after {
          font-family: 'Font Awesome 5 Free';
          content: '\f27a';
          text-align: center;
          font-size: 1.25em;
        }
        background-image: none !important;
      }
    }

    .description {
      margin: $small-spacing;
      padding: $small-spacing;
      font-size: $small-font;
      font-family: 'Signika', serif;
      max-height: 300px;
      overflow-y: auto;
      scrollbar-gutter: stable;
      grid-column: 1 / -1;
      white-space: normal;
      line-height: normal;
    }

    .item-controls {
      display: flex;
      flex: 1;
      justify-content: flex-end;
      button {
        margin: 0;
      }
    }

    .weapon {
      grid-template-columns: 32px 3fr 1fr 1fr 2fr 1fr 80px;

      .item-img {
        grid-column: 1;
      }

      .name {
        grid-column: 2;
        flex-wrap: nowrap;
      }
      .damage {
        grid-column: 3;
        text-align: center;
        overflow: hidden;
        white-space: nowrap;
        text-overflow: ellipsis;
        button {
          width: 90%;
        }
      }
      .ap {
        grid-column: 4;
        text-align: center;
      }
      .note {
        grid-column: 5;
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
        text-align: center;
      }
      .weight {
        grid-column: 6;
        text-align: center;
      }
      .item-controls {
        grid-column: 7;
      }
    }

    .armor {
      grid-template-columns: 32px 3fr 1fr 1fr 2fr 1fr 80px;
      .item-img {
        grid-column: 1;
      }
      .name {
        grid-column: 2;
        flex-wrap: nowrap;
      }
      .bonus {
        grid-column: 3;
        text-align: center;
      }
      .min-str {
        grid-column: 4;
        text-align: center;
      }
      .note {
        grid-column: 5;
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
        text-align: center;
      }
      .weight {
        grid-column: 6;
        text-align: center;
      }
      .item-controls {
        grid-column: 7;
      }
    }

    .shield {
      grid-template-columns: 32px 3fr 1fr 1fr 2fr 1fr 80px;
      .item-img {
        grid-column: 1;
      }
      .name {
        grid-column: 2;
        flex-wrap: nowrap;
      }
      .parry {
        grid-column: 3;
        text-align: center;
      }
      .cover {
        grid-column: 4;
        text-align: center;
      }
      .note {
        grid-column: 5;
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
        text-align: center;
      }
      .weight {
        grid-column: 6;
        text-align: center;
      }
      .item-controls {
        grid-column: 7;
      }
    }

    .consumable {
      grid-template-columns: 32px 3fr 4fr 1fr 80px;
      .item-img {
        grid-column: 1;
      }
      .name {
        grid-column: 2;
        flex-wrap: nowrap;
      }
      .charges {
        grid-column: 3;
        flex-wrap: nowrap;
        text-align: center;
      }
      .weight {
        grid-column: 4;
        text-align: center;
      }
      .item-controls {
        grid-column: 5;
      }
    }

    .misc {
      grid-template-columns: 32px 7fr 1fr 80px;
      .item-img {
        grid-column: 1;
      }
      .name {
        grid-column: 2;
        flex-wrap: nowrap;
      }
      .weight {
        grid-column: 3;
        text-align: center;
      }
      .item-controls {
        grid-column: 4;
      }
    }

    .action {
      grid-template-columns: 32px 8fr 80px;
      .item-img {
        grid-column: 1;
      }
      .name {
        grid-column: 2;
        flex-wrap: nowrap;
      }
      .item-controls {
        grid-column: 3;
      }
    }
  }

  .header {
    border-radius: $medium-spacing;
    background-image: url('./assets/header_bg.webp');
    background-position: left center;
    background-repeat: no-repeat;
    background-size: 100%;
    display: grid;
    line-height: 24px;
    padding-left: 5px;
    margin-top: $small-spacing;
    .item-controls {
      justify-content: space-around !important;
    }
    .header-name {
      grid-column: 1 / span 2;
      font-weight: 700;
    }
  }

  //#######################
  // Edges Tab
  //#######################
  .edges {
    .section-header {
      font-size: $large-font;
    }
    .edge-hindrance {
      margin-bottom: $small-spacing;
      padding-bottom: $small-spacing;
      border-bottom: $solid-line;
      .feature-header {
        display: grid;
        grid-template-columns: 32px 1fr 80px;
        column-gap: $small-spacing;
        align-items: center;
      }
    }
    .feature-list {
      list-style: none;
      padding: 0;
    }

    .item-name {
      text-align: left;
      padding-left: $medium-spacing;
      justify-self: flex-start;
      button {
        font-size: $small-font;
      }
    }

    .item-img {
      height: 32px;
      width: 32px;
      border: none;
      background-size: cover;
      background-position: center;
      &:hover,
      &:focus {
        &::after {
          font-family: 'Font Awesome 5 Free';
          content: '\f27a';
          text-align: center;
          font-size: 1.25em;
        }
        background-image: none !important;
      }
    }

    .item-controls {
      display: flex;
      line-height: 30px;
      text-align: center;
      flex: 0 0 32px;
      justify-self: flex-end;
      button {
        line-height: 24px;
        text-align: center;
      }
    }
    .description {
      margin: $small-spacing;
      padding: $small-spacing;
      font-size: $small-font;
      font-family: 'Signika', serif;
      max-height: 300px;
      overflow-y: auto;
      scrollbar-gutter: stable;
      grid-column: 1 / -1;
      white-space: normal;
      line-height: normal;
    }
  }

  //#######################
  // Effects Tab
  //#######################
  .effects {
    .effects-list {
      list-style: none;
      margin-bottom: 1em;
    }
    .effect-add {
      display: block;
      margin-left: auto;
      width: fit-content;
      padding-left: 3rem;
    }
    .effect-entry-header,
    .effect-header {
      display: grid;
      grid-template-columns: 40px 3fr 2fr 80px;
      column-gap: 2px;
      align-items: center;
      padding: 2px 5px;
    }
    .effect-header {
      border-radius: $medium-spacing;
      background-image: url('./assets/header_bg.webp');
      background-position: left center;
      background-repeat: no-repeat;
      background-size: 100%;
      line-height: 24px;
      text-align: center;
      margin-bottom: $large-spacing;
      & .effect-label {
        padding-left: 5px;
        text-align: left;
        grid-column: 1 / span 2;
        font-weight: 700;
      }
      & .effect-controls {
        justify-content: space-around;
      }
    }
    .effect-label {
      text-align: left;
    }
    .effect-source {
      text-align: center;
      font-size: var(--font-size-12);
    }
    .effect-controls {
      text-align: center;
      display: flex;
      justify-content: flex-end;
      gap: initial;
      & > * {
        padding: 0;
      }
    }
    .description {
      margin: $small-spacing;
      padding: $small-spacing;
      font-size: $small-font;
      font-family: 'Signika', serif;
      max-height: 300px;
      overflow-y: auto;
      scrollbar-gutter: stable;
      grid-column: 1 / -1;
      white-space: normal;
      line-height: normal;
    }
  }

  //#######################
  // Powers Tab
  //#######################
  .powers {
    .section-header {
      font-size: $large-font;
      button.adjust-counter {
        font-size: 0.9em;
      }
    }
    > ul {
      list-style: none;
      padding: 0;
    }

    .power {
      margin-bottom: $small-spacing;
      padding-bottom: $small-spacing;
      border-bottom: $solid-line;
      .power-header {
        display: grid;
        align-items: center;
        grid-template-columns: 32px 1fr 80px;
        column-gap: $small-spacing;
      }
      .content {
        display: grid;
        grid-template-columns: 2fr 1fr;
        grid-template-areas:
          'details details details'
          'trappings trappings trappings'
          'description description actions';
        grid-gap: 0.5rem;
      }

      .power-details {
        grid-area: details;
        font-family: var(--default-font);
        display: flex;
        font-size: $small-font;
        font-weight: 900;
        span {
          margin: $small-spacing;
          padding: $small-spacing;
        }
        button {
          font-weight: 900;
        }
      }
      .trapping {
        grid-area: trappings;
        margin: $small-spacing;
        padding: $small-spacing;
        font-family: var(--default-font);
        font-size: $small-font;
        font-weight: 900;
      }
      .description {
        grid-area: description;
        margin: $small-spacing;
        padding: $small-spacing;
        font-size: $small-font;
        font-family: 'Signika', serif;
        max-height: 300px;
        overflow-y: auto;
        scrollbar-gutter: stable;
        white-space: normal;
        line-height: normal;
        .swade-core {
          padding: 0;
        }
      }
      .chat-card {
        grid-area: actions;
      }
    }

    .item-name {
      text-align: left;
      padding-left: $medium-spacing;
      justify-self: flex-start;
      button {
        font-size: $small-font;
      }
    }

    .item-img {
      height: 32px;
      width: 30px;
      border: none;
      background-size: cover;
      background-position: center;
      &:hover,
      &:focus {
        &::after {
          font-family: 'Font Awesome 5 Free';
          content: '\f27a';
          text-align: center;
          font-size: 1.25em;
        }
        background-image: none !important;
      }
    }

    .item-controls {
      display: flex;
      line-height: 30px;
      text-align: center;
      flex: 0 0 32px;
      justify-self: flex-end;
      button {
        line-height: 24px;
        text-align: center;
      }
    }

    .pp-counter {
      font-family: var(--default-font);
      color: black;
      input {
        width: 50px;
      }
    }
  }

  //#######################
  // About Tab
  //#######################
  .about.active {
    display: grid;
    grid-template-rows: max-content auto;
    .editor {
      border: $solid-line;
      height: 100%;
      .editor-content {
        padding: 0 $medium-spacing;
      }
    }
    .about-body {
      overflow: hidden;
      max-height: 100%;
    }
    .tab {
      padding: 0;
    }

    .actor-notes.active {
      overflow: hidden;
      max-height: 100%;
    }
    .advances.active {
      max-height: 100%;
    }
    .advance-track {
      list-style: none;
      padding: 0 0 0 1em;
      .advance {
        display: grid;
        grid-template-columns: 1.5em 25% auto 80px;
        text-align: left;
        align-items: start;
      }
      .faded {
        font-style: italic;
        color: $input-bg-dark;
      }
      .item-controls {
        display: flex;
        justify-content: flex-end;
      }
    }
    .advance-add {
      display: flex;
      justify-content: flex-end;
    }
    .background.active {
      display: grid;
      grid-template-columns: repeat(2, 1fr);
      grid-template-rows: 1fr 1fr;
      gap: $large-spacing;
      margin: 0;
      > .editor-container {
        display: grid;
        grid-template-rows: max-content auto;
        overflow: hidden;
        margin: 0;
        &:last-of-type {
          grid-column: 1 / span 2;
        }
      }
      .section-header {
        margin-bottom: $medium-spacing;
        font-size: $medium-font;
      }
    }
  }

  //#######################
  // Limited Sheet
  //#######################
  .limited {
    .sheet-body {
      padding: 0 $large-spacing 0 $large-spacing;
      overflow-x: hidden;
      overflow-y: auto;
      height: 100%;
      display: grid;
      grid-template-rows: max-content 1fr max-content 1fr;
    }
    .charname-container {
      grid-row: 1 / span 2;
    }
    .profile-img {
      cursor: default;
      &:hover,
      &:focus {
        filter: drop-shadow(0.2em 0.4em 0.3em rgba(0, 0, 0, 0.5));
      }
    }
  }
}
